Subject: Re: [bitcoindev] CTV + CSFS: a letter

From: Jameson Lopp <[email-masked]>
Date: Fri, 13 Jun 2025 07:08:07 -0400

> Unlike a generic "We Want Things" sign-on letter, individual messages
indicating desire to utilize features is way more compelling.

Then I submit my essay from 2 years ago (
https://blog.casa.io/why-bitcoin-needs-covenants/) and will quote myself:

"There are clearly a LOT of use cases that could potentially be unlocked
with the right kind of covenant implementation. Personally, having spent 8
years working on high security multi-signature wallets, I'm most interested
in vaults. I believe the value they offer is quite straightforward and is
applicable to every single self-custody bitcoin user, regardless of what
type of wallet they are running."

- Jameson

On Thu, Jun 12, 2025 at 6:54 PM Matt Corallo <[email-masked]>
wrote:

> To be fair to James, in my (luckily rather brief) experience with
> Bitcoin-consensus-letter-writing,
> its nearly impossible to forge a statement that everyone agrees to that is
> consistently interpreted.
>
> Matt
>
> On 6/12/25 3:51 PM, Andrew Poelstra wrote:
> > Le Thu, Jun 12, 2025 at 02:38:13PM -0400, James O'Beirne a écrit :
> >>
> >> As the person who coordinated the letter, I can say that this is not an
> >> accurate characterization of the signers' intent. Everyone who signed
> >> explicitly wants to see the imminent review, integration, and activation
> >> planning for CTV+CSFS specifically. The letter is intentionally concise
> to
> >> make sure there are no misunderstandings about that.
> >>
> >> I spoke to each person on the original list of signatories who either
> did
> >> (or didn't) sign and this was made very clear. Some people didn't sign
> as a
> >> result of what the letter says.
> >>
> >
> > The letter asks Core to "prioritize the review and integration" on an
> > accelerated timeline, and that this will "allow" for "activation
> planning".
> >
> > Early drafts of the letter did ask for actual integration and even
> > activation, but I did not sign any of those early drafts. It was not
> > until the language was weakened to be about priorities and planning (and
> > to be a "respectful ask" rather some sort of demand) that I signed on.
> >
> >
> > The letter is concise but unfortunately I think Matt is correct that it
> > offers a broad range of interpretations, even among the signers.
> >
> >
>
> --
> You received this message because you are subscribed to the Google Groups
> "Bitcoin Development Mailing List" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [email-masked].
> To view this discussion visit
> https://groups.google.com/d/msgid/bitcoindev/f8b37a59-0897-40df-a08e-7812c806a716%40mattcorallo.com
> .
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CADL_X_fxwKLdst9tYQqabUsJgu47xhCbwpmyq97ZB-SLWQC9Xw%40mail.gmail.com.